PCI_MMAP_RESOURCE(9)

NAME
pci_mmap_resource - map a PCI resource into user memory space

SYNOPSIS

int pci_mmap_resource(struct kobject * kobj, struct bin_attribute * attr, struct vm_area_struct * vma, int write_combine);

ARGUMENTS

kobj
    kobject for mapping

attr
    struct bin_attribute for the file being mapped

vma
    struct vm_area_struct passed into the mmap

write_combine
    1 for write_combine mapping

DESCRIPTION

Use the regular PCI mapping routines to map a PCI resource into userspace.

COPYRIGHT